Use run_cli_handler instead of deprecated run_cli
[pve-firewall.git] / src / pve-firewall
index 0fbef27..5b62430 100755 (executable)
@@ -22,4 +22,4 @@ my $prepare = sub {
     $rpcenv->set_user('root@pam');
 };
 
-PVE::Service::pve_firewall->run_cli(undef, undef, $prepare);
+PVE::Service::pve_firewall->run_cli_handler(prepare => $prepare);